# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

DESCRIPTION="Gajim plugin for OMEMO XMPP end-to-end encryption"
HOMEPAGE="https://dev.gajim.org/gajim/gajim-plugins/wikis/OmemoGajimPlugin"

PYTHON_COMPAT=( python3_{5,6} )

inherit git-r3 python-r1 python-utils-r1

EGIT_REPO_URI="https://dev.gajim.org/gajim/gajim-plugins.git"
EGIT_BRANCH="gajim_1.1"
KEYWORDS="~amd64"

if [[ "${PV}" = "9999" ]] ; then
	KEYWORDS=""
elif [[ "${PV}" = "2.6.26" ]] ; then
	EGIT_COMMIT="54546918466c1236890264930791aee8e8b5e46c"
else
	EGIT_COMMIT="omemo_${PV}"
fi

LICENSE="GPL-3"
SLOT="0"
IUSE=""

DEPEND="dev-python/python-axolotl
		dev-python/qrcode
		dev-python/cryptography
		>=net-im/gajim-1.1"

RDEPEND="${DEPEND}"

gajim_install_plugin() {
	PLUGIN="${1}"
	python_export PYTHON_SITEDIR
	local GAJIM_SITEPACKAGE="$PYTHON_SITEDIR/gajim/"
	local GAJIM_PLUGIN_DIR="${GAJIM_SITEPACKAGE}/data/plugins"
	dodir "${GAJIM_PLUGIN_DIR}"
	cp -pPR "${S}"/${PLUGIN} "${D}/${GAJIM_PLUGIN_DIR}/" || die "Installing ${PLUGIN} failed"
}

src_install() {
	python_foreach_impl gajim_install_plugin omemo
}
